> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Signature

> This endpoint is for integration with Niobi. It generates signature used in the requests.



## OpenAPI

````yaml post /api/niobi-signature
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/niobi-signature:
    post:
      tags:
        - Integration
      summary: Generate Signature
      description: >-
        This endpoint is for integration with Niobi. It generates signature used
        in the requests.
      operationId: NiobiSignature
      requestBody:
        description: Payload for Signature generation
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - sender
                - salt
                - params
              properties:
                client_id:
                  description: Client ID generated when creating new api keys
                  type: string
                  example: K1PoY1WYricSpXh6Wm24txxxxxxxxxx
                sender:
                  description: the title of the integration
                  type: string
                  example: Niobi integration
                salt:
                  description: Salt for added security
                  type: string
                  example: mySalt12342423
                params:
                  description: Additional parameters for the request
                  properties:
                    test:
                      description: Test parameter
                      type: integer
                      example: 123
                  type: object
              type: object
      responses:
        '200':
          description: Signature was generated successfully.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    description: Success message
                    type: string
                    example: Signature was generated successfully.
                  data:
                    description: The generated data including the signature
                    type: object
                type: object
        '403':
          description: Entity integration record not found or Client ID not matched.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    description: >-
                      Error message for when the entity integration record is
                      not found
                    type: string
                    example: Entity integration record not found.
                type: object
        default:
          description: An unexpected error occurred.

````